Skip to main content
DELETE
/
{version}
/
forms
/
{form}
/
submissions
/
batch
Delete a batch of submissions
curl --request DELETE \
  --url https://api.perscom.io/{version}/forms/{form}/submissions/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resources": [
    123
  ]
}
'
import requests

url = "https://api.perscom.io/{version}/forms/{form}/submissions/batch"

payload = { "resources": [123] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({resources: [123]})
};

fetch('https://api.perscom.io/{version}/forms/{form}/submissions/batch', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "form_id": 123,
      "user_id": 123,
      "id": 123,
      "label": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
  "error": {
    "message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
    "type": "AuthenticationException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "A valid subscription is required to complete this request.",
    "type": "HttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
    "type": "HttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The requested resource or endpoint could not be found.",
    "type": "NotFoundHttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The [field] is [required|invalid|etc].",
    "type": "ValidationException",
    "errors": {
      "email": [
        "The email field is required.",
        "The email must be a valid email address."
      ],
      "password": [
        "The password must be at least 8 characters.",
        "The password must contain at least one uppercase letter."
      ]
    },
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
    "type": "ThrottleRequestsException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}
{
  "error": {
    "message": "The API is currently down for maintenance. Please check back later.",
    "type": "HttpException",
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2
form
integer
required

Query Parameters

include
enum<string>
Available options:
form,
user,
statuses,
statuses.record

Body

application/json
resources
integer[]

A list of resource IDs

Response

OK

data
SubmissionResource · object[]